networks:
  default:
    name: deminet
    external: true

services:
  api:
    build:
      context: ../api
    container_name: daq_api
    restart: unless-stopped
    command: uvicorn asgi:app --port 5005 --host 0.0.0.0 --log-level info
    image: gitlab-registry.cern.ch/atlas-itk-pixel-systemtest/itk-demo-sw/itk-demo-daqapi/api:latest
    ports:
      - ":5005"
    environment:
      - DAQAPI_API_PORT=${API_PORT:-5005}
      - DAQAPI_API_WORKERS=${API_WORKERS:-4}
      - CONFIGDB_URL_KEY=demi/${STACK:-default}/itk-demo-configdb/api/url
      - FELIX_SERIAL=EmuFlx1
      - FE_SERIALS=FE0
      - SCAN_TREE_NAME=scanconfigs
      - SR_URL=http://${HOST}:5111/api
    extra_hosts:
      - "host.docker.internal:host-gateway"
      - ${HOST}:host-gateway
    labels:
      - demi.${STACK}.itk-demo-daqapi.api.host=${HOST}
      - demi.${STACK}.itk-demo-daqapi.api.url_prefix=/api
      - demi.${STACK}.itk-demo-daqapi.api.url_postfix=/docs
      - demi.${STACK}.itk-demo-daqapi.api.category=Microservice
      - demi.${STACK}.itk-demo-daqapi.api.description= API of the daq_api
      - demi.${STACK}.itk-demo-daqapi.api.protocol=http
      - demi.${STACK}.itk-demo-daqapi.api.health=/daq/health

  ui:
    build:
      context: ../ui
    container_name: daq_ui
    restart: unless-stopped
    image: gitlab-registry.cern.ch/atlas-itk-pixel-systemtest/itk-demo-sw/itk-demo-daqapi/ui:latest
    ports:
      - ":80"
    environment:
      # - DEFAULT_BACKEND_URL=${DEFAULT_BACKEND_URL}
      - SR_URL=http://${HOST}:5111/api
      - API_URL_KEY=demi/${STACK:-default}/itk-demo-daqapi/api/url
    labels:
      - demi.${STACK}.itk-demo-daqapi.ui.host=${HOST}
      - demi.${STACK}.itk-demo-daqapi.ui.category=Microservice-UI
      - demi.${STACK}.itk-demo-daqapi.ui.description=UI of the daq_api
      - demi.${STACK}.itk-demo-daqapi.ui.protocol=http